org.apache.cassandra.thrift

## Class Mutation

- java.lang.Object
- - org.apache.cassandra.thrift.Mutation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Mutation>, org.apache.thrift.TBase<Mutation,Mutation._Fields>

    public class Mutation
    extends java.lang.Object
    implements org.apache.thrift.TBase<Mutation,Mutation._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Mutation>

A Mutation is either an insert (represented by filling column_or_supercolumn) or a deletion (represented by filling the deletion attribute).

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Mutation._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`ColumnOrSuperColumn` `column_or_supercolumn`
`Deletion` `deletion`
`static java.util.Map<Mutation._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
Constructor and Description
`Mutation()`
`Mutation(Mutation other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(Mutation other)`
`Mutation` `deepCopy()`
`boolean` `equals(Mutation that)`
`boolean` `equals(java.lang.Object that)`
`Mutation._Fields` `fieldForId(int fieldId)`
`ColumnOrSuperColumn` `getColumn_or_supercolumn()`
`Deletion` `getDeletion()`
`java.lang.Object` `getFieldValue(Mutation._Fields field)`
`int` `hashCode()`
`boolean` `isSet(Mutation._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_or_supercolumn()` Returns true if field column_or_supercolumn is set (has been assigned a value) and false otherwise
`boolean` `isSetDeletion()` Returns true if field deletion is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Mutation` `setColumn_or_supercolumn(ColumnOrSuperColumn column_or_supercolumn)`
`void` `setColumn_or_supercolumnIsSet(boolean value)`
`Mutation` `setDeletion(Deletion deletion)`
`void` `setDeletionIsSet(boolean value)`
`void` `setFieldValue(Mutation._Fields field, java.lang.Object value)`
`java.lang.String` `toString()`
`void` `unsetColumn_or_supercolumn()`
`void` `unsetDeletion()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### column_or_supercolumn

    public ColumnOrSuperColumn column_or_supercolumn

#### deletion

    public Deletion deletion

#### metaDataMap

    public static final java.util.Map<Mutation._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### Mutation

    public Mutation()

#### Mutation

    public Mutation(Mutation other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public Mutation deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### getColumn_or_supercolumn

    public ColumnOrSuperColumn getColumn_or_supercolumn()

#### setColumn_or_supercolumn

    public Mutation setColumn_or_supercolumn(ColumnOrSuperColumn column_or_supercolumn)

#### unsetColumn_or_supercolumn

    public void unsetColumn_or_supercolumn()

#### isSetColumn_or_supercolumn

    public boolean isSetColumn_or_supercolumn()

Returns true if field column_or_supercolumn is set (has been assigned a value) and false otherwise

#### setColumn_or_supercolumnIsSet

    public void setColumn_or_supercolumnIsSet(boolean value)

#### getDeletion

    public Deletion getDeletion()

#### setDeletion

    public Mutation setDeletion(Deletion deletion)

#### unsetDeletion

    public void unsetDeletion()

#### isSetDeletion

    public boolean isSetDeletion()

Returns true if field deletion is set (has been assigned a value) and false otherwise

#### setDeletionIsSet

    public void setDeletionIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(Mutation._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(Mutation._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### isSet

    public boolean isSet(Mutation._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(Mutation that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Mutation other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Mutation>`

#### fieldForId

    public Mutation._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<Mutation,Mutation._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`